## ros-foxy-vesc-ackermann 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vesc_ackermann)

# Setting C++ standard to 14
if(NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++14")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
elseif("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++14")
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

###########
## Build ##
###########

# nodes library
ament_auto_add_library(${PROJECT_NAME} SHARED
  src/ackermann_to_vesc.cpp
  src/vesc_to_odom.cpp
)

# register nodes as components
rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN vesc_ackermann::AckermannToVesc
  EXECUTABLE ackermann_to_vesc_node
)
rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN vesc_ackermann::VescToOdom
  EXECUTABLE vesc_to_odom_node
)

#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(
  INSTALL_TO_SHARE
    launch
)

=== debian/changelog ===
ros-foxy-vesc-ackermann (1.2.0-1focal) focal; urgency=high

  * Merge pull request #21 <https://github.com/f1tenth/vesc/issues/21> from Triton-AI/ros2
    Debug vesc_to_odom TF not publishing
  * Merge pull request #18 <https://github.com/f1tenth/vesc/issues/18> from jacobjj/ros2_correction
    Corrected error in vesc_to_odom.cpp
  * change subscriber msg type to Float
  * [vesc_ackermann] Adding some missing include headers and using statements.
  * [vesc_ackermann] Porting complete.
  * [vesc_ackermann] Starting port.
  * Porting all package.xml and CMakeList.txt files to ROS2.
  * Contributors: Haoru Xue, Hongrui (Billy) Zheng, Jacob Johnson, Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Fri, 17 Mar 2023 05:00:00 -0000

ros-foxy-vesc-ackermann (1.1.0-1focal) focal; urgency=high

  * Merge pull request #1 <https://github.com/f1tenth/vesc/issues/1> from f1tenth/melodic-devel
    Updating for Melodic
  * Remove unused Boost dependency.
  * Replacing boost::shared_ptr with Standard Library equivalent.
  * Fixing roslint error.
  * Updating package.xml to format 3 and setting C++ standard to 11.
  * Contributors: Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Sat, 12 Dec 2020 06:00:00 -0000

ros-foxy-vesc-ackermann (1.0.0-1focal) focal; urgency=high

  * Applying roslint to vesc_ackerman.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000

=== debian/control ===
Source: ros-foxy-vesc-ackermann
Section: misc
Priority: optional
Maintainer: Johannes Betz <joebetz@seas.upenn.edu>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ackermann-msgs, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-std-msgs, ros-foxy-tf2-ros, ros-foxy-vesc-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/vesc_ackermann
Standards-Version: 3.9.2

Package: ros-foxy-vesc-ackermann
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ackermann-msgs, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-std-msgs, ros-foxy-tf2-ros, ros-foxy-vesc-msgs, ros-foxy-ros-workspace
Description: Translate between VESC messages and ROS ackermann and odometry messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-vesc-ackermann//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
